/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { DetrendedPriceOscillatorIndicatorStrategy } from "./DetrendedPriceOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var DetrendedPriceOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(DetrendedPriceOscillatorIndicator, _super);
    function DetrendedPriceOscillatorIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DetrendedPriceOscillatorIndicator.prototype.get_p0 = function () {
        return new DetrendedPriceOscillatorIndicatorStrategy();
    };
    Object.defineProperty(DetrendedPriceOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    DetrendedPriceOscillatorIndicator.prototype.get_qd = function () {
        return DetrendedPriceOscillatorIndicator.$;
    };
    Object.defineProperty(DetrendedPriceOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DetrendedPriceOscillatorIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(DetrendedPriceOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(DetrendedPriceOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    DetrendedPriceOscillatorIndicator.prototype.p6 = function () {
        return this.ql;
    };
    DetrendedPriceOscillatorIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    DetrendedPriceOscillatorIndicator.qm = StrategyBasedIndicator.qi(20, DetrendedPriceOscillatorIndicator.$);
    DetrendedPriceOscillatorIndicator.$t = markType(DetrendedPriceOscillatorIndicator, 'DetrendedPriceOscillatorIndicator', StrategyBasedIndicator.$);
    return DetrendedPriceOscillatorIndicator;
}(StrategyBasedIndicator));
export { DetrendedPriceOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.DetrendedPriceOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.DetrendedPriceOscillatorIndicator" />*/
